> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monime.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider KYC

> Retrieves the KYC profile of an account from a specified provider.



## OpenAPI

````yaml get /v1/provider-kyc/{providerId}
openapi: 3.0.3
info:
  title: Monime API
  description: Monime REST API. Please visit https://docs.momime.io/api for more details.
  termsOfService: https://monime.io/legal/terms-of-service
  contact:
    name: Monime Developers
    url: https://github.com/monimesl
    email: dev@monime.io
  version: v1
servers:
  - url: https://api.monime.io/
security:
  - bearerAuth: []
paths:
  /v1/provider-kyc/{providerId}:
    get:
      tags:
        - Provider KYC
      summary: Get Provider KYC
      description: Retrieves the KYC profile of an account from a specified provider.
      operationId: GetProviderKYC
      parameters:
        - name: accountId
          in: query
          description: The ID of the account in the provider's ecosystem'.
          required: true
          schema:
            type: string
            description: The ID of the account in the provider's ecosystem'.
        - name: providerId
          in: path
          description: The ID of the provider as identified by Monime.
          required: true
          schema:
            type: string
            description: The ID of the provider as identified by Monime.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Represents the status of the query operation, confirming
                      if it was successful. This field is always true
                  messages:
                    type: array
                    items: {}
                    description: >-
                      Contains a list of messages providing relevant information
                      or feedback related to the query or operation
                  result:
                    $ref: '#/components/schemas/ProviderKYC'
components:
  schemas:
    ProviderKYC:
      title: Provider KYC
      type: object
      properties:
        account:
          type: object
          properties:
            id:
              type: string
              description: Unique identifier of the account in the provider's system.
            name:
              type: string
              description: >-
                Display name associated with the account, if different from the
                holder's name.
            holderName:
              type: string
              description: Full name of the account holder as registered with the provider.
            metadata:
              maxProperties: 64
              type: object
              additionalProperties:
                maxLength: 100
                type: string
                description: Metadata values are free-form strings up to 100 characters.
              description: Additional metadata of the account.
              nullable: true
          description: The information of the account in the provider's ecosystem.
        provider:
          type: object
          properties:
            id:
              type: string
              description: The id of the provider as assigned by Monime.
              example: m17
            type:
              enum:
                - momo
                - bank
                - wallet
              type: string
              description: The type of the provider.
              example: momo
            name:
              type: string
              description: The name of the provider
              example: Orange Money
          description: The information of the financial provider hosting the account.
      description: >
        A **Provider KYC** object represents the **know-your-customer (KYC)
        information** retrieved from a financial provider (e.g., Mobile Money
        operator, Bank).


        ---
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication specified with the header Authorization:
        Bearer <access_token>

````